Author Topic: Обновление до альфа версии  (Read 1497 times)

0 Members and 1 Guest are viewing this topic.

Offline MagicTopic starter

Обновление до альфа версии
« on: 03 03 2014, 13:54:20 »
Доброго дня!
В последней stable версии обнаружился неприятный баг - не обновляется vcard для джабер контактов с сервера openfire (с других не проверял).
После нескольких часов изучения проблемы, гугла и дебаг логов - было принято решение обновиться до последней альфы, что решило проблему - vcard тянется без проблем.
Теперь хочется обновиться полностью на предприятии - но тут беда, новый dbx_mmap при первом старте кидает варнинг про конвертацию базы данных, что введет пользователей в большой ступор.
Возможно ли как-то отключить предупреждение при запуске? Или сервисной командой тихо обновить БД, а потом запустить миранду?
Без vcard очень плохо :)
Если ручки растут из попки - это ножки
 

Offline ghazan

Re: Обновление до альфа версии
« Reply #1 on: 03 03 2014, 17:26:51 »
1. вряд ли можно рекомендовать обновление на альфу в масштабе компании, не поймут-с

2. предупреждение появилось не на пустом месте. оно реально непросто

3. проще слить исправление для вкардов в стабле и собрать жабер

ЗЫ: патч приложен
 

Offline watcher

Re: Обновление до альфа версии
« Reply #2 on: 03 03 2014, 19:05:22 »
Сделал ещё проще, хоть мне это стоило двух часов потраченного времени - в стейбл 0.94.9 придёт обновление на джаббер и всё заработает.
Пожалуйста, внимательно прочтите правила постинга перед тем, как открыть новую тему.
Please read forum rules.
 

Offline MagicTopic starter

Re: Обновление до альфа версии
« Reply #3 on: 04 03 2014, 08:46:38 »
спасибо большое  :THUMBS UP:
пойду тестировать :)
Если ручки растут из попки - это ножки
 

Offline watcher

Re: Обновление до альфа версии
« Reply #4 on: 05 03 2014, 19:10:50 »
Magic, влил еще одну версию джаббера, в прежней обнаружились проблемы, эта должна уже хорошо работать.
Пожалуйста, внимательно прочтите правила постинга перед тем, как открыть новую тему.
Please read forum rules.